//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ImpDlgADOF.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ADO_QImport2Wizard"
#pragma resource "*.dfm"
TfmImpDlgADO *fmImpDlgADO;
//---------------------------------------------------------------------------
__fastcall TfmImpDlgADO::TfmImpDlgADO(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfmImpDlgADO::FormCreate(TObject *Sender)
{
  Table1->DatabaseName = ExtractFilePath(Application->ExeName) + "..\\..\\data\\";
  Table1->TableName = "country.db";
  Table1->Active = True;
}
//---------------------------------------------------------------------------
void __fastcall TfmImpDlgADO::FormDestroy(TObject *Sender)
{
  Table1->Active = False;
}
//---------------------------------------------------------------------------
void __fastcall TfmImpDlgADO::btImportClick(TObject *Sender)
{
  ADO_QImportWizard1->Execute();
}
//---------------------------------------------------------------------------
void __fastcall TfmImpDlgADO::Button1Click(TObject *Sender)
{
  if ((pcDestinations->ActivePage == tshDataSet) ||
      (pcDestinations->ActivePage == tshDBGrid))
  {
    Table1->Close();
    try
    {
      Table1->Exclusive = true;
      try
      {
        Table1->EmptyTable();
      }
      __finally
      {
        Table1->Exclusive = false;
      }
    }
    __finally
    {
      Table1->Open();
    }
  }
  else if (pcDestinations->ActivePage == tshListView)
  {
    ListView->Items->BeginUpdate();
    try
    {
      ListView->Items->Clear();
    }
    __finally
    {
      ListView->Items->EndUpdate();
    }
  }
  else if (pcDestinations->ActivePage == tshStringGrid)
  {
    for (int i = 1; i <= StringGrid->RowCount - 1; i++)
      for (int j = 0; j <= StringGrid->ColCount - 1; j ++)
        StringGrid->Cells[j][i] = EmptyStr;
  }
}
//---------------------------------------------------------------------------
void __fastcall TfmImpDlgADO::ADO_QImportWizard1AfterImport(TObject *Sender)
{
  Table1->Close();
  Table1->Open();
}
//---------------------------------------------------------------------------
void __fastcall TfmImpDlgADO::ADO_QImportWizard1BeforePost(TObject *Sender,
  TQImportRow *Row, bool &Accept)
{
  if (chbUseBeforePost->Checked)
    for (int i = 0; i <= Row->Count - 1; i++)
      if (Row->Items[i]->Value == "Argentina")
      {
        Accept = false;
        return;
      }
}
//---------------------------------------------------------------------------
void __fastcall TfmImpDlgADO::pcDestinationsChange(TObject *Sender)
{
  if (pcDestinations->ActivePage == tshDataSet)
    ADO_QImportWizard1->ImportDestination = qidDataSet;
  else if (pcDestinations->ActivePage == tshDBGrid)
    ADO_QImportWizard1->ImportDestination = qidDBGrid;
  else if (pcDestinations->ActivePage == tshListView)
    ADO_QImportWizard1->ImportDestination = qidListView;
  else if (pcDestinations->ActivePage == tshStringGrid)
    ADO_QImportWizard1->ImportDestination = qidStringGrid;
}

